Download it now!
Bug 129004 - Shift+F6 cycle doesn't follow reverse order of F6 cycle
Summary: Shift+F6 cycle doesn't follow reverse order of F6 cycle
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-25 05:37 UTC by Jim Raykowski
Modified: 2020-01-07 15:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2019-11-25 05:37:39 UTC
To repro in Writer:

Starting with cursor in the document window, press F6 repeatedly keeping note of order in which toolbars and sidebar are visited before returning to document window. Do the same using shift+F6. 

Results: shift+F6 does not follow the reverse order of F6

Expected results: shift+F6 follows the reverse order of F6

Additional note: F6 stop loses focus is at the infobar - bug 105518
Comment 1 Xisco Faulí 2019-11-26 10:58:14 UTC
Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: d6e2d624a124454fa4ac80cb30a924571a609101
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.15; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)
Comment 2 Commit Notification 2019-12-26 16:46:35 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/32b9d07baa0cf6907f14ccb9aa068b51d95eefaa

tdf#129004 Make shift+F6 cycle order reverse of F6

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-01-07 15:46:23 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/e9d591bbf166162c39865718ceab7a9b976676ce

tdf#129004 Make shift+F6 cycle order reverse of F6

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.